Edit

  • PATCH
  • /workspaces
  • /:workspace
  • /webhooks
  • /:webhook_id

Update webhook configuration

Request

REQUIRED SCOPES
WEBHOOK_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

webhook_idrequiredinteger
The ID of the webhook

Example: 123

POST PARAMETERS
target_urlrequiredstring
The URL to which the payload will be sent
secret_keystring
The value sent in the payload required by the webservice to validate the request
namestring
The name of the webhook
projectsstring[]
The array of project name IDs from which webhooks will be executed
eventsrequiredstring[]
Set of events that trigger the webhook

Constraints: Unique items required

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the webhook
target_urlstring
The URL to which the payload will be sent
namestring
The name of the webhook
secret_keystring
The value sent in the payload required by the webservice to validate the request
projectsstring[]
The array of project name IDs from which webhooks will be executed
eventsstring[]
Set of events that trigger the webhook

Constraints: Unique items required

requestsWebhookRequestView[]
Collection of recent webhook requests

Last modified on Jan 26, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/webhooks/:webhook_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "target_url": "https://example.com/updated-webhook", "secret_key": "updated-secret-key", "name": "Updated CI Webhook", "projects": [ "my-project", "api-project", "new-project" ], "events": [ "PUSH", "EXECUTION_STARTED", "EXECUTION_SUCCESSFUL", "EXECUTION_FAILED" ] }'